# SPDX-FileCopyrightText: 2024 David Mosbach <david.mosbach@uniworx.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

special-users:

  - default: &default-user
      userIdent: null
      userAuthentication: AuthLDAP
      userLastAuthentication: null
      userTokensIssuedAfter: null
      userMatrikelnummer: null
      userEmail: ""
      userDisplayEmail: null
      userDisplayName: null
      userSurname: ""
      userFirstName: ""
      userTitle: null
      userMaxFavourites: userDefaultMaxFavourites
      userMaxFavouriteTerms: userDefaultMaxFavouriteTerms
      userTheme: ThemeDefault
      userDateTimeFormat: userDefaultDateTimeFormat
      userDateFormat: userDefaultDateFormat
      userTimeFormat: userDefaultTimeFormat
      userDownloadFiles: userDefaultDownloadFiles
      userWarningDays: userDefaultWarningDays
      userLanguages: null
      userCreated: now
      userNotificationSettings: def
      userLastLdapSynchronisation: null
      userLdapPrimaryKey: null
      userCsvOptions: def
      userSex: null
      userBirthday: null
      userShowSex: userDefaultShowSex
      userTelephone: null
      userMobile: null
      userCompanyPersonalNumber: null
      userCompanyDepartment: null
      userPinPassword: null
      userPostAddress: null
      userPostLastUpdate: null
      userPrefersPostal: true
      userExamOfficeGetSynced: userDefaultExamOfficeGetSynced
      userExamOfficeGetLabels: userDefaultExamOfficeGetLabels

  - gkleen:
      <<: *default-user
      userIdent: "G.Kleen@campus.lmu.de"
      userLastAuthentication: now
      userTokensIssuedAfter: now
      userEmail: "G.Kleen@campus.lmu.de"
      userDisplayEmail: "gregor.kleen@ifi.lmu.de"
      userDisplayName: "Gregor Kleen"
      userSurname: "Kleen"
      userFirstName: "Gregor Julius Arthur"
      userMaxFavourites: 6
      userMaxFavouriteTerms: 1
      userLanguages: ["en"]
      # userCsvOptions = def { csvFormat = csvPreset # CsvPresetRFC }
      userSex: SexMale
      userCompanyPersonalNumber: "00000"
      userPostAddress: "Büro 127   \nMathematisches Institut der Ludwig-Maximilians-Universität München   \nTheresienstr. 39   \nD-80333 München"

  - fhamann:
      <<: *default-user
      userIdent: "felix.hamann@campus.lmu.de"
      userEmail: "noEmailKnown"
      userDisplayEmail: "felix.hamann@campus.lmu.de"
      userDisplayName: "Felix Hamann"
      userSurname: "Hamann"
      userFirstName: "Felix"
      # userCsvOptions = def { csvFormat = csvPreset # CsvPresetExcel }
      userSex: SexMale
      userPinPassword: "tomatenmarmelade"
      userPostAddress: "Erdbeerweg 24  \n12345 Schlumpfhausen  \nTraumland"

  - jost:
      <<: *default-user
      userIdent: "jost@tcs.ifi.lmu.de"
      userAuthentication: pwSimple
      userMatrikelnummer: "12345678"
      userEmail: "S.Jost@Fraport.de"
      userDisplayEmail: "jost@tcs.ifi.lmu.de"
      userDisplayName: "Steffen Jost"
      userSurname: "Jost"
      userFirstName: "Steffen"
      userTitle: "Dr."
      userMaxFavourites: 14
      userMaxFavouriteTerms: 4
      userTheme: ThemeMossGreen
      userSex: SexMale
      # userBirthday = Just $ n_day $ 35 * (-365)
      userTelephone: "+49 69 690-71706"
      userMobile: "0173 69 99 646"
      userCompanyPersonalNumber: "57138"
      userCompanyDepartment: "AVN-AR2"

  - maxMuster:
      <<: *default-user
      userIdent: "max@campus.lmu.de"
      userLastAuthentication: now
      userMatrikelnummer: "1299"
      userEmail: "max@campus.lmu.de"
      userDisplayEmail: "max@max.com"
      userDisplayName: "Max Musterstudent"
      userSurname: "Musterstudent"
      userFirstName: "Max"
      userMaxFavourites: 7
      userTheme: ThemeAberdeenReds
      userLanguages: ["de"]
      userSex: SexMale
      # userBirthday = Just $ n_day $ 27 * (-365)
      userPrefersPostal: false

  - tinaTester:
      <<: *default-user
      userIdent: "tester@campus.lmu.de"
      userAuthentication: null
      userMatrikelnummer: "999"
      userEmail: "tester@campus.lmu.de"
      userDisplayEmail: "tina@tester.example"
      userDisplayName: "Tina Tester"
      userSurname: "vön Tërrör¿"
      userFirstName: "Sabrina"
      userTitle: "Magister"
      userMaxFavourites: 5
      userTheme: ThemeAberdeenReds
      userLanguages: ["sn"]
      userSex: SexNotApplicable
      # userBirthday = Just $ n_day 3
      userCompanyPersonalNumber: "12345"
      userPrefersPostal: false

  - svaupel:
      <<: *default-user
      userIdent: "vaupel.sarah@campus.lmu.de"
      userEmail: "vaupel.sarah@campus.lmu.de"
      userDisplayEmail: "vaupel.sarah@campus.lmu.de"
      userDisplayName: "Sarah Vaupel"
      userSurname: "Vaupel"
      userFirstName: "Sarah"
      userMaxFavourites: 14
      userMaxFavouriteTerms: 4
      userTheme: ThemeMossGreen
      userLanguages: null
      userSex: SexFemale
      userPrefersPostal: false

  - sbarth:
      <<: *default-user
      userIdent: "Stephan.Barth@campus.lmu.de"
      userEmail: "Stephan.Barth@lmu.de"
      userDisplayEmail: "stephan.barth@ifi.lmu.de"
      userDisplayName: "Stephan Barth"
      userSurname: "Barth"
      userFirstName: "Stephan"
      userTheme: ThemeMossGreen
      userSex: SexMale
      userPrefersPostal: false
      userExamOfficeGetSynced: false
      userExamOfficeGetLabels: true

  - _stranger1:
      userIdent: "AVSID:996699"
      userEmail: "E996699@fraport.de"
      userDisplayEmail: ""
      userDisplayName: "Stranger One"
      userSurname: "One"
      userFirstName: "Stranger"
      userTheme: ThemeMossGreen
      userSex: SexMale
      userCompanyPersonalNumber: "E996699"
      userCompanyDepartment: "AVN-Strange"
      userPrefersPostal: false
      userExamOfficeGetSynced: false
      userExamOfficeGetLabels: true

  - _stranger2:
      userIdent: "AVSID:669966"
      userEmail: "E669966@fraport.de"
      userDisplayEmail: ""
      userDisplayName: "Stranger Two"
      userSurname: "Stranger"
      userFirstName: "Two"
      userTheme: ThemeMossGreen
      userSex: SexMale
      userCompanyPersonalNumber: "669966"
      userCompanyDepartment: "AVN-Strange"
      userPrefersPostal: false
      userExamOfficeGetSynced: false
      userExamOfficeGetLabels: true

  - _stranger3:
      userIdent: "AVSID:6969"
      userEmail: "E6969@fraport.de"
      userDisplayEmail: ""
      userDisplayName: "Stranger 3 Three"
      userSurname: "Three"
      userFirstName: "Stranger"
      userTheme: ThemeMossGreen
      userSex: SexMale
      userCompanyPersonalNumber: "E996699"
      userCompanyDepartment: "AVN-Strange"
      userPostAddress: "Kartoffelweg 12  \n666 Höllensumpf  \nFreiland"
      userPrefersPostal: false
      userExamOfficeGetSynced: false
      userExamOfficeGetLabels: true


random-users:
  firstNames: [ "James", "John", "Robert", "Michael"
              , "William", "David", "Mary", "Richard"
              , "Joseph", "Thomas", "Charles", "Daniel"
              , "Matthew", "Patricia", "Jennifer", "Linda"
              , "Elizabeth", "Barbara", "Anthony", "Donald"
              , "Mark", "Paul", "Steven", "Andrew"
              , "Kenneth", "Joshua", "George", "Kevin"
              , "Brian", "Edward", "Susan", "Ronald"
              ]
  surnames: [ "Smith", "Johnson", "Williams", "Brown"
            , "Jones", "Miller", "Davis", "Garcia"
            , "Rodriguez", "Wilson", "Martinez", "Anderson"
            , "Taylor", "Thomas", "Hernandez", "Moore"
            , "Martin", "Jackson", "Thompson", "White"
            , "Lopez", "Lee", "Gonzalez", "Harris"
            , "Clark", "Lewis", "Robinson", "Walker"
            , "Perez", "Hall", "Young", "Allen"
            ]
  middlenames: [ null, "Jamesson" ]

